Как удалить BOOST 1.49 и установить BOOST 1.54 в ubuntu?

У меня есть ускорение 1,49 в моей системе ubuntu. И я пытаюсь удалить boost 1.49 и полностью удалить его из своей системы.

И после этого установите Boost 1.54.0

Мне понравилось это, чтобы удалить 1.49 из моей системы –

 sudo apt-get --purge remove libboost-dev sudo apt-get --purge remove libboost-all-dev 

И после этого, когда я делаю ниже команды, чтобы увидеть версию, она все еще говорит, что у меня 1,49

 cat /usr/include/boost/version.hpp | grep "BOOST_LIB_VERSION" // BOOST_LIB_VERSION must be defined to be the same as BOOST_VERSION #define BOOST_LIB_VERSION "1_49" 

Не знаете почему?

И я попытался установить версию Boost 1.54.0, как это –

 wget http://sourceforge.net/projects/boost/files/boost/1.54.0/boost_1_54_0.tar.gz/download tar -xvzf boost_1_54_0.tar.gz cd boost_1_54_0/ ./bootstrap.sh --with-libraries=atomic,date_time,exception,filesystem,iostreams,locale,program_options,regex,signals,system,test,thread,timer,log sudo ./b2 install 

Но все-таки это не показывает мне, что версия 1.54.0 установлена?

Любые указатели, как удалить BOOST 1.49 из моей системы и установить BOOST 1.54 на моей машине?

Вам нужно удалить пакет libboost1.49-dev … на самом деле его нужно удалить с помощью одного sudo apt-get autoremove . Если вы не уверены в этом:

 dpkg -S /usr/include/boost/version.hpp 

Это вернет пакет, в котором есть этот файл, и вы можете:

 sudo apt-get autoremove package